Bug 469904 - qpidd-xml package has dependency to non-existing package qpidc-xml
qpidd-xml package has dependency to non-existing package qpidc-xml
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: distribution (Show other bugs)
1.1
All Linux
urgent Severity medium
: 1.1
: ---
Assigned To: mick
Kim van der Riet
:
Depends On:
Blocks: 453530
  Show dependency treegraph
 
Reported: 2008-11-04 12:24 EST by Frantisek Reznicek
Modified: 2015-11-15 19:05 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-20 04:07:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frantisek Reznicek 2008-11-04 12:24:40 EST
Description of problem:

  qpidd-xml package has dependency to non-existing package qpidc-xml.
  qpidd-xml therefore cannot be easily installed with yum.



Version-Release number of selected component (if applicable):
  tested on:
  qpidd-xml.i386 0:0.3.709187-4.el4 and 
  qpidd-xml.x86_64 0:0.3.709187-1.el5

How reproducible:
  100%

Steps to Reproduce:
1. create yum repofile pointing to 
   http://yum.engineering.redhat.com/rel-eng/repos/dist-5E-mrg-candidate/$basearch or
   http://yum.engineering.redhat.com/rel-eng/repos/dist-4E-mrg-candidate/$basearch
2. execute yum install qpidd-xml

  
Actual results:
  
[root@dell-pe2900-03 ~]# yum install qpidd-xml
Setting up Install Process
Setting up Repos
rhts-noarch               100% |=========================|  951 B    00:00
rhts-custom1              100% |=========================|  951 B    00:00
mrg-staging               100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 305 kB    00:00
MD Read   : ################################################## 2018/2018
rhts-noarc: ################################################## 2018/2018
rhts-custo: ################################################## 1574/1574
mrg-stagin: ################################################## 104/104
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for qpidd-xml to pack into transaction set.
---> Package qpidd-xml.i386 0:0.3.709187-4.el4 set to be updated
--> Running transaction check
--> Processing Dependency: libxerces-c.so.28 for package: qpidd-xml
--> Processing Dependency: libxqilla.so.3 for package: qpidd-xml
--> Processing Dependency: qpidc-xml for package: qpidd-xml
--> Processing Dependency: xerces-c for package: qpidd-xml
--> Processing Dependency: xqilla for package: qpidd-xml
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for xerces-c to pack into transaction set.
---> Package xerces-c.i386 0:2.8.0-1.el4 set to be updated
---> Downloading header for xqilla to pack into transaction set.
---> Package xqilla.i386 0:2.0.0-7.el4 set to be updated
--> Running transaction check
--> Processing Dependency: qpidc-xml for package: qpidd-xml
--> Finished Dependency Resolution
Error: Missing Dependency: qpidc-xml is needed by package qpidd-xml



Expected results:
  qpidd-xml should be installable

Additional info:
Comment 1 Nuno Santos 2008-11-06 15:44:15 EST
This has been fixed already in the distcvs qpidc.spec:

$ cvs diff -r 1.65 -r 1.66 qpidc.spec
Index: qpidc.spec
===================================================================
RCS file: /cvs/dist/rpms/qpidc/RHEL-5-MRG/qpidc.spec,v
retrieving revision 1.65
retrieving revision 1.66
diff -r1.65 -r1.66
10c10
< Release:        1%{?dist}
---
> Release:        2%{?dist}
148d147
< Requires: %name-xml
377a377,379
> * Tue Nov  4 2008 Nuno Santos <nsantos@redhat.com> - 0.3.709187-2
> - Remove extraneous dependency
> 



It will be reflected in the current/next brew build.
Comment 2 Frantisek Reznicek 2008-11-07 04:48:53 EST
At the moment (2008-11-07) issue disappeared on RHEL5 packages only.
I still can see 'Error: Missing Dependency: qpidc-xml is needed by package qpidd-xml' when trying to install qpidd-xml on RHEL4 machines.
Problem observed on RHEL4.7 i386 and also x86_64.

Detailed log:

[root@dell-pesc430-02 qpid_test_common_mrg_install]# yum install qpidd-xml
Setting up Install Process
Setting up Repos
rhts-noarch               100% |=========================|  951 B    00:00
rhts-custom1              100% |=========================|  951 B    00:00
mrg-staging               100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
rhts-noarc: ################################################## 2076/2076
rhts-custo: ################################################## 1822/1822
mrg-stagin: ################################################## 104/104
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for qpidd-xml to pack into transaction set.
---> Package qpidd-xml.x86_64 0:0.3.709187-4.el4 set to be updated
--> Running transaction check
--> Processing Dependency: qpidc-xml for package: qpidd-xml
--> Finished Dependency Resolution
Error: Missing Dependency: qpidc-xml is needed by package qpidd-xml
[root@dell-pesc430-02 qpid_test_common_mrg_install]# head -1 /etc/issue ; uname -a
Red Hat Enterprise Linux AS release 4 (Nahant Update 7)
Linux dell-pesc430-02.rhts.bos.redhat.com 2.6.9-78.ELsmp #1 SMP Wed Jul 9 15:46:26 EDT 2008 x86_64 x86_64 x86_64 GNU/Linux
[root@dell-pesc430-02 qpid_test_common_mrg_install]# date
Fri Nov  7 04:48:15 EST 2008
Comment 3 Frantisek Reznicek 2008-11-13 09:22:11 EST
Still pending issue, even after one more week...
Comment 4 Gordon Sim 2008-11-18 13:21:39 EST
Reopening until addressed in the rhel4 spec file also.
Comment 5 Frantisek Reznicek 2008-11-24 03:07:28 EST
Verified that both RHEL4 and RHEL5 qpidd-xml packages do not require qpidc-xml package anymore.
Validated on packages:
[root@nec-em3 qpid_test_common_mrg_install]# rpm -q qpidd-xml
qpidd-xml-0.3.719671-1.el5
[root@nec-em13 qpid_test_common_mrg_install]# rpm -q qpidd-xml
qpidd-xml-0.3.719671-4.el4
->VERIFIED

Note You need to log in before you can comment on or make changes to this bug.